Commit 6127c90c authored by Herbert Valerio Riedel's avatar Herbert Valerio Riedel 🕺
Browse files

Remove redundant `MIN_VERSION_unix(2,5,0)` conditionals

Since ad1a5c88

 `process` supports GHC>=7.2 (which implies `unix>=2.5`),
therefore `MIN_VERSION_unix(2,5,0)` is always true.
Signed-off-by: Herbert Valerio Riedel's avatarHerbert Valerio Riedel <hvr@gnu.org>
parent e6bb979c
......@@ -75,10 +75,8 @@ import Control.DeepSeq (rnf)
import System.IO.Error (mkIOError, ioeSetErrorString)
#if !defined(mingw32_HOST_OS)
import System.Posix.Types
#if MIN_VERSION_unix(2,5,0)
import System.Posix.Process (getProcessGroupIDOf)
#endif
#endif
import qualified Control.Exception as C
import Control.Concurrent
import Control.Monad
......@@ -640,13 +638,8 @@ interruptProcessGroupOf ph = do
-- on Windows, so on Windows cpp fails:
-- error: missing binary operator before token "("
#else
#if MIN_VERSION_unix(2,5,0)
-- getProcessGroupIDOf was added in unix-2.5.0.0
pgid <- getProcessGroupIDOf h
signalProcessGroup sigINT pgid
#else
signalProcessGroup sigINT h
#endif
#endif
return ()
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment